<?php

//version 20008-11-05

function IN7_BPCOPY($CUR_DIR_2 , $file , $TYP_DANYCH , $PRODUKT_ID , $DSC_FOLDER , $TRG_FILE, $NOT_STRICT ) {
global $conn,$thiss ;
echo "\nfunction IN7_BPCOPY($CUR_DIR_2 , $file , $TYP_DANYCH , $PRODUKT_ID , $DSC_FOLDER , $TRG_FILE ) ";

	//1. sekcja identyfikacji pliku
	// zasada: [0]=INDEKS , [1]=TYP_REKORDU(Instrukcja) , [2]=Nazwa(opcj) , [Ost-1 or 3]=Data, [Ost]=.rozszerzenie 
	echo $file ;
	$FILE_A=split("\.",$file);
	$FILE_P["COUNT"]=count($FILE_A);
//	print_r($FILE_A);
	echo "\n Count ".$FILE_P[COUNT]." ";

     if(($PRODUKT_ID==$FILE_A[0])||($NOT_STRICT)) { //Nazwa produktu jest spelniona i zgodna z oczekiwaniem

	$DST_FILE[0]=$PRODUKT_ID;
	$DST_FILE[1]=$TYP_DANYCH;
	
	//wykrywamy poprawnosc oznaczenia daty
	if(($FILE_P[COUNT]>=3)&&($FILE_P[COUNT]<=6)) { //podstawowa zasada 
	
	foreach($FILE_A as $FILE_A_A) {
	  $FILE_A_D=split("-",$FILE_A_A);
//	  print_r($FILE_A_D);
	  if(($FILE_A_D[0]>1980)&&
		($FILE_A_D[0]<9999)&&
		(count($FILE_A_D)==3)&&
		($FILE_A_D[1]<=12)&&
		($FILE_A_D[2]<=33)&&
		(strlen($FILE_A_D[0])==4)) $DST_FILE[3]=$FILE_A_A ; // echo "\nDATA_OK";
	  }
	//wykrywamy rozszerzenie

	$FILE_A_ROZ=$FILE_A[($FILE_P["COUNT"]-1)];
	echo "\n Rozszerzenie to $FILE_A_ROZ";
	$DST_FILE[4]=$FILE_A_ROZ; 
	
	if($FILE_P[COUNT]==5) $DST_FILE[2]=$FILE_A[2] ;


	} else if(($FILE_P[COUNT]<5)&&($FILE_P[COUNT]>2)) { //alternatywna

	} else echo "\n <font color=red> Error nazwy pliku $file (nieprawidlowa ilosc oznaczen rozdzielonych kropka) </font><br>";

	//
      } else echo "\n<font color=red> Error nazwy pliku $file (zly index w nazwie) </font><br>";


     if(($DST_FILE[3])&&($FILE_A[($FILE_P[COUNT]-2)]!=$DST_FILE[3])) $DST_FILE[EXTRA]=$FILE_A[($FILE_P[COUNT]-2)] ;

	echo "\n Wykryta docelowa nazwa pliku po formatowaniu: ";
//	print_r($DST_FILE);
	if(count($DST_FILE)==5) { //Robimy copy , baza danych itp.

	  $NEWFILE=$DSC_FOLDER."/".$PRODUKT_ID."/".$DST_FILE[0].".".$DST_FILE[1].".".$DST_FILE[2].".".$DST_FILE[3].".".$DST_FILE[EXTRA].".".$DST_FILE[4];
	
	if(!file_exists($DSC_FOLDER."/".$DST_FILE[0])) mkdir ($DSC_FOLDER."/".$DST_FILE[0], 0777);
	echo "\n Mkdir ".$DSC_FOLDER."/".$DST_FILE[0]."  | ";
		echo "\n<br> NEWFILE  ".$NEWFILE." EOL";
	echo "\n copyfile = $NEWFILE EOL.";
	if(!file_exists($NEWFILE)) if(copy($CUR_DIR_2."/".$file, $NEWFILE)) { //Kopiowanie pliku i do bazy newsy w zaleznosci od typu	  
		echo "\n Skopiowano dane, informujemy BAZE";


//	   if($TYP_DANYCH=="ZDJECIE") {
		if($DST_FILE[3]) $NOW="'".$DST_FILE[3]."'" ; else $NOW="now()";
		IN7_INDEX_DATABASE_KIKE($PRODUKT_ID,$TYP_DANYCH,$NOW,$NEWFILE,$TRG_FILE,$DST_FILE[EXTRA]) ;
 //         }
		
	 } else IN7_INDEX_DATABASE_KIKE($PRODUKT_ID,$TYP_DANYCH,$NOW,$NEWFILE,$TRG_FILE,$DST_FILE[EXTRA]) ;//info bazy danych

	}




}

